MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - c -

- Cache : cache-private.h
- cache_resources : cache.c
- cache_semaphore : cache.c
- CacheButtonText : widget.c
- CacheError : exception.h
- CacheEvent : log.h
- CacheFatalError : exception.h
- CacheInfo : cache-private.h
- CacheMethods : cache-private.h
- CacheShift : quantize.c
- CacheType : cache-private.h
- CacheWarning : exception.h
- CancelButtonText : widget.c
- CanonicalPath : utility.h
- CanonicalXMLContent() : xml-tree.c , xml-tree.h
- CatchException() : exception.c , exception.h
- CatchImageException() : image.c , image.h
- CatromFilter : resize.h
- CCITTParam : compress.c
- CenterAlign : draw.h
- CenterGravity : geometry.h
- Ch() : signature.c
- ChangeMaskCompositeOp : composite.h
- ChannelImage() : deprecate.c , deprecate.h
- ChannelOptions : option.c
- ChannelStatistics : statistic.h
- ChannelThresholdImage() : deprecate.c , deprecate.h
- ChannelType : magick-type.h
- CharcoalDrawCommand : display.c
- CharcoalDrawingPreview : effect.h
- CharcoalImage() : fx.c , fx.h
- CharPixel : constitute.h
- chdir : nt-base.h
- ChiNegative : geometry.h
- ChiValue : geometry.h
- ChopCommand : display.c
- ChopDirectionCommand : display.c
- ChopDismissCommand : display.c
- ChopHelpCommand : display.c
- ChopImage() : transform.c , transform.h
- ChopImageTag : transform.c
- ChopPathComponents() : utility.c , utility.h
- ChromaticityInfo : image.h
- chsize : nt-base.h
- CirclePrimitive : draw.h
- Classify() : segment.c
- ClassifyImageColors() : color.c , quantize.c
- ClassifyImageTag : quantize.c
- ClassOptions : option.c
- ClassType : magick-type.h
- ClearBounds() : layer.c
- ClearCompositeOp : composite.h
- ClearLinkedList() : hashmap.c , hashmap.h
- ClearMagickException() : exception.c , exception.h
- client_name : client.c
- client_path : client.c
- ClipboardMode : display.c
- ClipCacheNexus() : cache.c
- ClipImage() : image.c , image.h
- ClipImagePath() : image.c , image.h
- ClipImagePathTag : image.c
- ClipPathImage() : deprecate.c , deprecate.h
- ClipPathOptions : option.c
- ClipPathUnits : draw.h
- ClipToQuantum() : quantum-private.h
- CLK_TCK : timer.c
- CloneBlobInfo() : blob-private.h , blob.c
- CloneCacheMethods() : cache-private.h , cache.c
- CloneCacheNexus() : cache.c
- CloneCacheView() : cache-view.c , cache-view.h
- CloneDiskToDiskPixels() : cache.c
- CloneDiskToMemoryPixels() : cache.c
- CloneDrawInfo() : draw.c , draw.h
- CloneImage() : image.c , image.h
- CloneImageArtifacts() : artifact.c , artifact.h
- CloneImageAttributes() : deprecate.c , deprecate.h
- CloneImageInfo() : image.c , image.h
- CloneImageList() : list.c , list.h
- CloneImageOptions() : option.c , option.h
- CloneImageProfiles() : profile.c , profile.h
- CloneImageProperties() : property.c , property.h
- CloneImages() : list.c , list.h
- CloneMagickPixelPacket() : pixel-private.h
- CloneMemory() : deprecate.c , deprecate.h
- CloneMemoryToDiskPixels() : cache.c
- CloneMemoryToMemoryPixels() : cache.c
- CloneMontageInfo() : montage.c , montage.h
- ClonePixelCache() : cache.c
- CloneQuantizeInfo() : quantize.c , quantize.h
- CloneSplayTree() : splay-tree.c , splay-tree.h
- CloneString() : string.c , string_.h
- CloneStringInfo() : string.c , string_.h
- close : nt-base.h
- CloseBlob() : blob-private.h , blob.c
- CloseCacheView() : cache-view.c , cache-view.h
- closedir : nt-base.h , mac.h , vms.h
- CloseDiskCache() : cache.c
- CloseMagickLog() : log.c
- ClosestColor() : quantize.c
- CloseWizardLog() : log.h
- Cluster : segment.c
- ClutImage() : enhance.c , enhance.h
- ClutImageChannel() : enhance.c , enhance.h
- ClutImageTag : enhance.c
- CMYColorspace : colorspace.h
- CMYKAQuantum : quantum.h
- CMYKColorspace : colorspace.h
- CMYKQuantum : quantum.h
- CoalesceImages() : layer.c , layer.h
- CoalesceLayer : layer.h
- coder_list : coder.c
- coder_semaphore : coder.c
- CoderCompare() : coder.c
- CoderError : exception.h
- CoderEvent : log.h
- CoderFatalError : exception.h
- CoderInfo : coder.h
- CoderInfoCompare() : coder.c
- CoderMap : coder.c
- CoderWarning : exception.h
- color_list : color.c
- color_semaphore : color.c
- ColorBurn() : composite.c
- ColorBurnCompositeOp : composite.h
- ColorCommand : display.c
- ColorCompare() : color.c
- ColorDodge() : composite.c
- ColorDodgeCompositeOp : composite.h
- ColorEditBorderCommand : display.c
- ColorEditColorCommand : display.c
- ColorEditDismissCommand : display.c
- ColorEditFuzzCommand : display.c
- ColorEditHelpCommand : display.c
- ColorEditMethodCommand : display.c
- ColorEditUndoCommand : display.c
- ColorFilename : color.c
- ColorFloodfillImage() : deprecate.c , deprecate.h
- ColorInfo : color.h
- ColorInfoCompare() : color.c
- ColorizeCompositeOp : composite.h
- ColorizeImage() : fx.c , fx.h
- ColorizeImageTag : fx.c
- ColorMap : color.c
- ColornameText : widget.c
- ColorPacket : color.h
- ColorPatternText : widget.c
- ColorPrimitive : draw.h
- ColorSeparationMatteType : image.h
- ColorSeparationType : image.h
- ColorspaceOptions : option.c
- ColorspaceType : colorspace.h
- ColorToNodeId() : color.c , quantize.c
- CombineImages() : image.h , image.c
- CombineImageTag : image.c
- CommandOptions : option.c
- CommandType : display.c , animate.c
- CommentCommand : display.c
- CompareAnyLayer : layer.h
- CompareClearLayer : layer.h
- CompareEdges() : draw.c
- CompareHashmapString() : hashmap.c , hashmap.h
- CompareHashmapStringInfo() : hashmap.h , hashmap.c
- CompareImageBounds() : layer.c
- CompareImageChannels() : compare.c , compare.h
- CompareImageLayers() : layer.c , layer.h
- CompareImages() : compare.c , compare.h
- CompareOverlayLayer : layer.h
- ComparePixels() : layer.c
- CompareSplayTreeString() : splay-tree.c , splay-tree.h
- CompareSplayTreeStringInfo() : splay-tree.c , splay-tree.h
- CompareStringInfo() : string.c , string_.h
- ComplianceType : color.h
- ComposeOptions : option.c
- CompositeAdd() : composite.c
- CompositeAtop() : composite.c
- CompositeBumpmap() : composite.c
- CompositeCanvas() : layer.c
- CompositeClear() : composite.c
- CompositeColorBurn() : composite.c
- CompositeColorDodge() : composite.c
- CompositeCommand : display.c
- CompositeDarken() : composite.c
- CompositeDifference() : composite.c
- CompositeDismissCommand : display.c
- CompositeDisplaceCommand : display.c
- CompositeDissolveCommand : display.c
- CompositeDivide() : composite.c
- CompositeExclusion() : composite.c
- CompositeHardLight() : composite.c
- CompositeHelpCommand : display.c
- CompositeHSB() : composite.c
- CompositeImage() : composite.c , composite.h
- CompositeImageChannel() : composite.c , composite.h
- CompositeIn() : composite.c
- CompositeLayer : layer.h
- CompositeLayers() : layer.c , layer.h
- CompositeLighten() : composite.c
- CompositeLinearLight() : composite.c
- CompositeMinus() : composite.c
- CompositeMultiply() : composite.c
- CompositeOperator : composite.h
- CompositeOperatorsCommand : display.c
- CompositeOut() : composite.c
- CompositeOver() : composite.c
- CompositeOverlay() : composite.c
- CompositePlus() : composite.c
- CompositeScreen() : composite.c
- CompositeSoftLight() : composite.c
- CompositeSubtract() : composite.c
- CompositeThreshold() : composite.c
- compositeWidgetClass : vms.h
- CompositeXor() : composite.c
- CompressImageColormap() : quantize.h , quantize.c
- CompressionType : compress.h
- CompressOptions : option.c
- ConcatenateColorComponent() : color.h , color.c
- ConcatenateMagickString() : string_.h , string.c
- ConcatenateMode : montage.h
- ConcatenateString() : string.c , string_.h
- ConcatenateStringInfo() : string.c , string_.h
- ConcatentateHexColorComponent() : color.c
- CondensedStretch : type.h
- configure_list : configure.c
- configure_semaphore : configure.c
- ConfigureCompare() : configure.c
- ConfigureError : exception.h
- ConfigureEvent : log.h
- ConfigureFatalError : exception.h
- ConfigureFilename : configure.c
- ConfigureFileToStringInfo() : string_.h , string.c
- ConfigureInfo : configure.h
- ConfigureInfoCompare() : configure.c
- ConfigureMap : configure.c
- ConfigureWarning : exception.h
- ConsoleHandler : log.c
- ConsolidateCMYKImages() : transform.c , transform.h
- ConsolidateCrossings() : segment.c
- ConstantString() : string_.h , string.c
- ConstantVirtualPixelMethod : cache-view.h
- constitute_semaphore : constitute.c
- ConstituteImage() : constitute.h , constitute.c
- ConstrainColormapIndex() : color-private.h
- ContinueTimer() : timer.h , timer.c
- Contrast() : enhance.c
- ContrastImage() : enhance.c , enhance.h
- ContrastStretchCommand : display.c
- ContrastStretchImage() : enhance.c , enhance.h
- ContrastStretchImageChannel() : enhance.h , enhance.c
- ContributionInfo : resize.c
- ControlState : widget.c
- ConvertCMYKToRGB() : colorspace.c
- ConvertHSBToRGB() : gem.h , gem.c
- ConvertHSLToRGB() : gem.c , gem.h
- ConvertHueToRGB() : gem.c
- ConvertHWBToRGB() : gem.h , gem.c
- ConvertLabToXYZ() : colorspace.c
- ConvertLatin1ToUTF8() : xml-tree.c
- ConvertPathToPolygon() : draw.c
- ConvertPrimitiveToPath() : draw.c
- ConvertRGBToCMYK() : colorspace-private.h
- ConvertRGBToHSB() : gem.h , gem.c
- ConvertRGBToHSL() : gem.c , gem.h
- ConvertRGBToHWB() : gem.h , gem.c
- ConvertRGBToXYZ() : colorspace.c
- ConvertUTF16ToUTF8() : xml-tree.c
- ConvertXYZToLab() : colorspace.c
- ConvertXYZToRGB() : colorspace.c
- ConvolveImage() : fx.h , fx.c
- ConvolveImageChannel() : fx.c , fx.h
- ConvolveImageTag : fx.c
- CopyBlackCompositeOp : composite.h
- CopyBlueCompositeOp : composite.h
- CopyCommand : display.c
- CopyCompositeOp : composite.h
- CopyCyanCompositeOp : composite.h
- CopyDelegateFile() : delegate.c
- CopyGreenCompositeOp : composite.h
- CopyMagentaCompositeOp : composite.h
- CopyMagickMemory() : memory_.h , memory.c
- CopyMagickString() : string.c , string_.h
- CopyMode : display.c
- CopyOpacityCompositeOp : composite.h
- CopyRedCompositeOp : composite.h
- CopyYellowCompositeOp : composite.h
- CorruptImageError : exception.h
- CorruptImageFatalError : exception.h
- CorruptImageWarning : exception.h
- CropCommand : display.c
- CropDismissCommand : display.c
- CropHelpCommand : display.c
- CropImage() : transform.c , transform.h
- CropImageTag : transform.c
- CropImageToHBITMAP() : nt-feature.h
- CropMode : display.c
- CropToFitImage() : shear.c
- CubeInfo : quantize.c , color.c
- CubicBC() : resize.c
- CubicFilter : resize.h
- CubicWeightingFunction() : deprecate.c , resample.c
- CutCommand : display.c
- CutMode : display.c
- CyanChannel : magick-type.h
- CyanQuantum : quantum.h
- CycleColormapImage() : image.c , image.h